Bug 1200649 - [Docs] [Install] Style updates for 'The Self-Hosted Engine' chapter
Summary: [Docs] [Install] Style updates for 'The Self-Hosted Engine' chapter
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-3.6.0-rc3
: 3.6.0
Assignee: Julie
QA Contact: Megan Lewis
URL:
Whiteboard: docs
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 04:45 UTC by Lucy Bopf
Modified: 2016-02-10 18:56 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-20 04:32:48 UTC


Attachments (Terms of Use)

Description Lucy Bopf 2015-03-11 04:45:26 UTC
Docs review of the 'Upgrading the Self-Hosted Engine' section in bug 1199474 brought up the following style fixes that can be implemented across the whole chapter:

1. Change instances of 'Red Hat Enterprise Virtualization Manager Administration Portal' to 'Administration Portal'.
2. Lead into screen boxes with colons.
<para>Log into and update Host A:</para>
<screen># yum update</screen>
3. Change instances of 'by clicking the x button' or 'Click the x button' to 'by clicking x' or 'Click x'.
4. Change instances of 'Click OK to ...' to 'Click OK." (unless the action of clicking 'OK' does something outside of its expected behaviour).
5. Change instances of 'Log into' to 'Log in to'.
6. Consider removing "All commands in this procedure are as the root user." The '#' prompt in the screen tags suggests this already.
7. Where appropriate, remove step titles and blocks of steps in favor of splitting each action into its own step. ('Migrating to a Self-Hosted Environment' may not be a candidate for this change.)
8. Where appropriate, remove large blocks of screen output that do not require user input.
9. In 'Installing the Self-Hosted Engine', check that 'yum upgrade' is correct. (I think we favour 'yum update'.)

These style suggestions (excluding 9.) are based on feedback from UXD on the RHCI documentation.

Comment 1 Sandro Bonazzola 2015-10-26 12:33:23 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 2 Julie 2015-10-29 06:37:07 UTC
1, 3, 4, 5, 6; Checked. No action required. Suggested style fixed already.
2. Won't fix. 
7 & 8 taken care of by the SHE whole guide review.
9. Both yum update and yum upgrade updates all packages but yum upgrade removes obsolete packages. In our docs suite, we tend to use 'yum update', therefore for consistency reasons, I changed all three instances of 'yum upgrade' to 'yum update'.

Comment 3 Andrew Dahms 2015-10-30 00:42:56 UTC
Assigning Megan as the QA contact.

Megan - could you take a look at the changes for this bug?


Note You need to log in before you can comment on or make changes to this bug.